Gdk::RgbCmap Class Reference

## Public Member Functions

virtual | ~RgbCmap ()
| RgbCmap (const Glib::ArrayHandle< guint32 >& colors)
unsigned long | size () const
| Number of colors. More...
guint32& | operator[] (unsigned long index)
| Access the colors. More...
const guint32& | operator[] (unsigned long index) const
| Access the colors. More...
GdkRgbCmap* | gobj ()
| Provides access to the underlying C GObject. More...
const GdkRgbCmap* | gobj () const
| Provides access to the underlying C GObject. More...

## Protected Attributes

GdkRgbCmap* | gobject_

## Constructor & Destructor Documentation

virtual Gdk::RgbCmap::~RgbCmap | ( |  | ) |

virtual

Gdk::RgbCmap::RgbCmap | ( | const Glib::ArrayHandle< guint32 > & | colors | ) |

explicit

## Member Function Documentation

GdkRgbCmap* Gdk::RgbCmap::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GdkRgbCmap* Gdk::RgbCmap::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

guint32& Gdk::RgbCmap::operator[] | ( | unsigned long | index | ) |

Access the colors.

const guint32& Gdk::RgbCmap::operator[] | ( | unsigned long | index | ) | const

Access the colors.

unsigned long Gdk::RgbCmap::size | ( |  | ) | const

Number of colors.

## Member Data Documentation

GdkRgbCmap* Gdk::RgbCmap::gobject_

protected

The documentation for this class was generated from the following file:

- gdkmm/rgbcmap.h